Bug 237945 - command service avahi-daemon status returns wrong value
Summary: command service avahi-daemon status returns wrong value
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: avahi   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 237844
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-26 10:00 UTC by Martin Bacovsky
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 12:04:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Bacovsky 2007-04-26 10:00:19 UTC
+++ This bug was initially created as a clone of Bug #237844 +++

Description of problem:
service avahi-daemon status return value $? is 0 even if it is not running.

Version-Release number of selected component (if applicable):
avahi-0.6.16-2.fc6

How reproducible:
always

Steps to Reproduce:
1.service avahi-daemon status
2.echo $?
3.
  
Actual results:
0

Expected results:
1

Additional info:
modyfing line 83 to:

$? = 0 ] && echo $"Avahi daemon is running" || ( echo $"Avahi daemon is not
running" ; exit 1 )

should solve it

Comment 1 Lennart Poettering 2007-05-09 14:51:13 UTC
This has been fixed in upstream Avahi

http://avahi.org/changeset/1413

Comment 2 Martin Bacovsky 2007-08-07 12:04:04 UTC
This issue should be fixed in RAWHIDE (avahi-0.6.20-1.fc8)


Note You need to log in before you can comment on or make changes to this bug.